REMOVEPKG(8)

NAMN
removepkg - ta bort Slackware paket.

ÖVERSIKT
removepkg paketnamn

[ ROOT=/mnt ] removepkg [ -copy ] [ -keep ] [ -preserve ] [ -warn ] paketnamn

BESKRIVNING
removepkg tar bort ett tidigare installerat Slackware-paketet, samtidigt som en progress skickas till standard ut. Ett paket kan specificeras antingen av det fullständiga paketnamnet (som du kan se i katalogen /var/log/packages/), eller av baspaketsnamnet. Exempelvis kan paketet foo-1,0-i486-1.tgz avlägsnas med vilken som helst av följande kommandon: removepkg foo-1.0-i486-1.tgz (även igenkända: .tbz, .tlz, .txz) removepkg foo-1.0-i486-1 removepkg foo.tgz removepkg foo När du tar bort filer, kommer removepkg att analysera innehållet i de andra paketen som installeras på ditt system, och kommer bara att ta bort filerna som är unika för paketet. På samma sätt kommer installationsskript för alla de andra paketen beaktas vid beslut om att inte ta bort symboliska länkar från förpackningen.

Ta bort ett paket (samt installera ett) kan vara farlig. Av denna anledning finns -warn alternativet. När du använder denna, kommer removepkg faktiskt inte ta bort några filer eller länkar, men kommer att skriva ut en detaljerad rapport om vad det skulle göra om du faktiskt tog bort paketet. Det föreslås att du gör detta (och kanske matar utmatningen till less) innan du tar bort paket för att se till att du har säkerhetskopierat allt som kan vara viktigt.

När du tar bort ett paket, kommer den ursprungliga filindex att flyttas från /var/log/packages till /var/log/removed_packages. Likaså kommer installationsskriptet att flyttas från /var/log/scripts till /var/log/removed_scripts.

ALTERNATIV

-warn paketnamn
    Generera en rapport till standard ut om vilka filer och kataloger som skulle tas bort, men tar egentligen inte bort paketet.

-preserve paketnamn
    Om angivet, rekonstrueras ett komplett paket träd i /var/log/setup/tmp/preserved_packages/paketnamn.

-copy paketnamn
    Skapar en kopia av paketet under /var/log/setup/tmp/preserved_packages/paketnamn, men tar inte bort den. (samma effekt som -warn -preserve)

-keep
    Spara de mellanliggande filer som skapats av removepkg (delete_list, required_files, uniq_list, del_link_list, required_links, required_list). Mestadels användbart för felsökning.

Det är möjligt att ta bort ett paket från ett filsystem annan än / genom att tillföra removepkg med en ROOT miljövariabel:

ROOT=/mnt removepkg paket

FÖRFATTARE
Patrick J. Volkerding <volkerdi@slackware.com>, med förbättringar av Christian Franke <c.franke@acm.org>

SE OCKSÅ
installpkg(8), makepkg(8), pkgtool(8), upgradepkg(8)